#include "MenuTextAtk_Player1Joystick.h"

InputSetting_Joystick* MenuTextAtk_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextAtk_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_atk;
}

std::weak_ptr<Entity> MenuTextAtk_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextAtk_Player1Joystick()
{
	return std::make_shared<MenuTextAtk_Player1Joystick>();
}


